%define __libtoolize    /bin/true

Name:           gelemental
Summary:        Periodic Table Viewer
Version:        1.2.0
Release:        %mkrel 1
License:        GPL, MIT
URL:            http://www.kdau.com/projects/gelemental
Group:          Sciences/Chemistry
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch1:		gelemental-1.2.0-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}glibmm2.4-devel
BuildRequires:  %{_lib}gtkmm2.4-devel 
Requires:       %{_lib}glibmm2.4_1 
Requires:       %{_lib}gtkmm2.4_1
BuildRequires:  desktop-file-utils
BuildRequires:  gettext-devel
BuildRequires:  gcc-c++
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig

%description
gElemental is a GTK+ periodic table viewer with detailed information on 
the chemical elements. It uses the GTK+ toolkit and is available for Linux 
and other GTK+/GNOME platforms.

%package devel
Summary:        Development files for gElemetal
Requires:       %name = %version
BuildRequires:  %{_lib}glibmm2.4-devel
#Requires:       pango-devel
Group:          Development/Librares/Other

%description devel
Files needed for doing gElemental development.

%prep
%setup -q
%patch1 -p1
sed -i 's|glib/gmem\.h|glib.h|' libelemental/misc/extras.cc
sed -i 's|glib/gmessages\.h|glib.h|' libelemental/misc/widgets.cc
sed -i 's|glib/g.*\.h|glib.h|' src/main.cc

%build
%configure --disable-static

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -D -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_datadir}/applications/gelemental.desktop
rm $RPM_BUILD_ROOT%{_libdir}/libelemental.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.DATA NEWS README TODO TRANSLATORS
%doc %{_mandir}/man1/gelemental.1* 
%{_bindir}/gelemental
%{_libdir}/libelemental.so*
%exclude %{_libdir}/libelemental.so
%{_datadir}/applications/gelemental.desktop
%{_datadir}/icons/hicolor/*

%files devel
%defattr (-, root, root)
%{_includedir}/libelemental
%{_libdir}/libelemental.so
%{_libdir}/pkgconfig/libelemental.pc

%changelog
* Sat Apr 04 2015 pinoc <vogtpet at gmail.com> 1.2.0-1pclos2015
- imported package
